Debian Bug report logs - #541147
please avoid backticks in error messages

Package: groff; Maintainer for groff is Colin Watson <cjwatson@debian.org>; Source for groff is src:groff.

Reported by: Jari Aalto <jari.aalto@cante.net>

Date: Tue, 11 Aug 2009 23:12:02 UTC

Severity: minor

Tags: wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#541147; Package lintian. (Tue, 11 Aug 2009 23:12:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: Please use single quotes in message manpage-has-errors-from-man
Date: Wed, 12 Aug 2009 02:10:46 +0300
Package: lintian
Version: 2.2.13
Severity: minor


An examples, trying to get more information, putting the lintian
message in double quotes:

  $ echo "W: wcd: manpage-has-errors-from-man usr/share/man/man1/wcd.1.gz 1: warning: `PU' not defined" | lintian-info
  <line hangs>

Oh, there is backtick....

SUGGESTION:

Please present inly single quote characters in messages, that is, avoid use of:

    `text'

and use

    'text'

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_DK.UTF-8, LC_CTYPE=en_DK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lintian depends on:
ii  binutils              2.19.51.20090723-1 The GNU assembler, linker and bina
ii  diffstat              1.47-1             produces graph of changes introduc
ii  dpkg-dev              1.15.3.1           Debian package development tools
ii  file                  5.03-1             Determines file type using "magic"
ii  gettext               0.17-6             GNU Internationalization utilities
ii  intltool-debian       0.35.0+20060710.1  Help i18n of RFC822 compliant conf
ii  libapt-pkg-perl       0.1.23             Perl interface to libapt-pkg
ii  libipc-run-perl       0.84-1             Perl module for running processes
ii  libparse-debianchange 1.1.1-2            parse Debian changelogs and output
ii  libtimedate-perl      1.1600-9           Time and date functions for Perl
ii  liburi-perl           1.37+dfsg-1        Manipulates and accesses URI strin
ii  man-db                2.5.5-3            on-line manual pager
ii  perl [libdigest-sha-p 5.10.0-24          Larry Wall's Practical Extraction 

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch            <none>     (no description available)
ii  libtext-template-perl         1.45-1     Text::Template perl module
ii  man-db                        2.5.5-3    on-line manual pager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#541147; Package lintian. (Wed, 12 Aug 2009 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 12 Aug 2009 00:06:03 GMT) Full text and rfc822 format available.

Message #8 received at 541147@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Jari Aalto <jari.aalto@cante.net>
Cc: 541147@bugs.debian.org
Subject: Re: Bug#541147: lintian: Please use single quotes in message manpage-has-errors-from-man
Date: Tue, 11 Aug 2009 17:01:44 -0700
Jari Aalto <jari.aalto@cante.net> writes:

> Package: lintian
> Version: 2.2.13
> Severity: minor
>
> An examples, trying to get more information, putting the lintian message
> in double quotes:
>
>   $ echo "W: wcd: manpage-has-errors-from-man usr/share/man/man1/wcd.1.gz 1: warning: `PU' not defined" | lintian-info
>   <line hangs>
>
> Oh, there is backtick....
>
> SUGGESTION:
>
> Please present inly single quote characters in messages, that is, avoid
> use of:
>
>     `text'
>
> and use
>
>     'text'

That output comes from man, and there I believe from groff.  I don't think
it's appropriate for Lintian to try to rewrite error messages from
external programs.

I can reassign it to groff.  I don't know how likely the maintainer will
be to want to change this, though.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#541147; Package lintian. (Wed, 12 Aug 2009 00:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 12 Aug 2009 00:21:08 GMT) Full text and rfc822 format available.

Message #13 received at 541147@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: Russ Allbery <rra@debian.org>
Cc: 541147@bugs.debian.org
Subject: Re: Bug#541147: lintian: Please use single quotes in message manpage-has-errors-from-man
Date: Wed, 12 Aug 2009 03:15:42 +0300
Russ Allbery <rra@debian.org> writes:

> Jari Aalto <jari.aalto@cante.net> writes:
>
>> Package: lintian
>> Version: 2.2.13
>> Severity: minor
>>
>> An examples, trying to get more information, putting the lintian message
>> in double quotes:
>>
>>   $ echo "W: wcd: manpage-has-errors-from-man usr/share/man/man1/wcd.1.gz 1: warning: `PU' not defined" | lintian-info
>>   <line hangs>
>>
>> Oh, there is backtick....
>>
>> SUGGESTION:
>>
>> Please present inly single quote characters in messages, that is, avoid
>> use of:
>>
>>     `text'
>>
>> and use
>>
>>     'text'
>
> That output comes from man, and there I believe from groff.  I don't think
> it's appropriate for Lintian to try to rewrite error messages from
> external programs.

I think that would be appropriate. The users see only lintian reporting
the errors and they don't know or care the underlying machinery.

It's highly inconvenient to not be able to pipe the message through
lintian-info(1) to undestand what's going on. (Good explanation btw).

> I can reassign it to groff.  I don't know how likely the maintainer will
> be to want to change this, though.

I'll even submit a patch to expedite that.

In the mean time, please reconsider.

Jari




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#541147; Package lintian. (Wed, 12 Aug 2009 00:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 12 Aug 2009 00:36:02 GMT) Full text and rfc822 format available.

Message #18 received at 541147@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Jari Aalto <jari.aalto@cante.net>
Cc: 541147@bugs.debian.org
Subject: Re: Bug#541147: lintian: Please use single quotes in message manpage-has-errors-from-man
Date: Tue, 11 Aug 2009 17:27:17 -0700
Jari Aalto <jari.aalto@cante.net> writes:
> Russ Allbery <rra@debian.org> writes:

>> I can reassign it to groff.  I don't know how likely the maintainer will
>> be to want to change this, though.

> I'll even submit a patch to expedite that.

You'll submit a patch to groff?  I'm not sure if that's what you meant.
If it is, I'll reassign this bug to groff.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#541147; Package lintian. (Sat, 12 Sep 2009 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sat, 12 Sep 2009 08:21:04 GMT) Full text and rfc822 format available.

Message #23 received at 541147@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 541147@bugs.debian.org
Subject: Re: Bug#541147: lintian: Please use single quotes in message manpage-has-errors-from-man
Date: Sat, 12 Sep 2009 11:13:04 +0300
FYI, if this is groff(1) issue, I've provided instructions and patch in
upstream BTS: https://savannah.gnu.org/bugs/?27422

Jari




Changed Bug title to 'please avoid backticks in error messages' from 'lintian: Please use single quotes in message manpage-has-errors-from-man' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 13 Sep 2009 03:51:02 GMT) Full text and rfc822 format available.

Bug reassigned from package 'lintian' to 'groff'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 13 Sep 2009 03:51:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions lintian/2.2.13. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 13 Sep 2009 03:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#541147; Package groff. (Thu, 18 Feb 2010 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. (Thu, 18 Feb 2010 01:18:03 GMT) Full text and rfc822 format available.

Message #34 received at 541147@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Jari Aalto <jari.aalto@cante.net>
Cc: Russ Allbery <rra@debian.org>, 541147@bugs.debian.org
Subject: Re: lintian: Please use single quotes in message manpage-has-errors-from-man
Date: Thu, 18 Feb 2010 01:15:17 +0000
tags 541147 wontfix
thanks

On Wed, Aug 12, 2009 at 02:10:46AM +0300, Jari Aalto wrote:
> An examples, trying to get more information, putting the lintian
> message in double quotes:
> 
>   $ echo "W: wcd: manpage-has-errors-from-man usr/share/man/man1/wcd.1.gz 1: warning: `PU' not defined" | lintian-info
>   <line hangs>
> 
> Oh, there is backtick....
> 
> SUGGESTION:
> 
> Please present inly single quote characters in messages, that is, avoid use of:
> 
>     `text'
> 
> and use
> 
>     'text'

I don't intend to change this, for the following reasons:

  * It is just as easy, if not easier, and more secure to run
    'lintian-info' on its own and then just paste error messages into
    its stdin.  I've always used lintian-info this way.  If you do this
    then you don't have to worry about shell metacharacters in error
    messages.  I don't think it's reasonable to constrain groff to not
    emit shell metacharacters on stderr (which would include $ as well
    as `, for instance).

  * ' is itself a shell metacharacter; you happen not to encounter this
    because you're quoting with ", but not everyone will do that.  I
    don't think groff should be optimised for one particular way to pass
    its error messages to lintian-info. :-)

  * http://www.gnu.org/prep/standards/html_node/Quote-Characters.html
    explicitly recommends this method of quoting in the C locale, and
    groff is a GNU package.  (I'm aware that not everyone likes this; I
    do not intend to engage in debate about the correctness of the GNU
    Coding Standards here ...)

If upstream wish to do otherwise, then that's up to them, but I'm not
going to override them.

Regards,

-- 
Colin Watson                                       [cjwatson@debian.org]




Added tag(s) wontfix. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Thu, 18 Feb 2010 01:18:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:53:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.